πŸš€ API tara Documentation

Π­Ρ‚ΠΎ RESTful API прСдоставляСт доступ ΠΊ Ρ„ΡƒΠ½ΠΊΡ†ΠΈΠΎΠ½Π°Π»ΡŒΠ½ΠΎΡΡ‚ΠΈ, описанной Π² Π΄ΠΎΠΊΡƒΠΌΠ΅Π½Ρ‚Π°Ρ†ΠΈΠΈ.

Project: api.tara

API для Π°Π²Ρ‚ΠΎΠΌΠ°Ρ‚ΠΈΠ·Π°Ρ†ΠΈΠΈ процСссов ΠΊΠΎΠΌΠΏΠ°Π½ΠΈΠΈΠΈ ΠΠ ΠœΠŸΠ›ΠΠ‘Π’

πŸ“ Collection: clients

ΠœΠ΅Ρ‚ΠΎΠ΄ для Ρ€Π°Π±ΠΎΡ‚Ρ‹ с ΠΊΠ»ΠΈΠ΅Π½Ρ‚Π°ΠΌΠΈ

End-point: index

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ всСх ΠΊΠ»ΠΈΠ΅Π½Ρ‚ΠΎΠ²

Method: GET

http://api-tara.local/api/clients

Headers

Content-Type Value
Accept application/json

Query Params

Param value
select[] id
select[] name
select[] phone_numbers
query Иван Иванов 222
limit 1
page 2
orderBy name
ascending 1

Response: 200

{
    "data": [
        {
            "id": 6,
            "name": "Иван Иванов 22",
            "price_type_id": 2,
            "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 101",
            "created_at": "2025-04-07T19:37:24.000000Z",
            "updated_at": "2025-04-07T19:42:50.000000Z",
            "phone_numbers": [
                {
                    "id": 7,
                    "client_id": 6,
                    "number": "89991234573",
                    "type_id": 1,
                    "created_at": "2025-04-07T19:37:24.000000Z",
                    "updated_at": "2025-04-07T19:42:50.000000Z"
                },
                {
                    "id": 8,
                    "client_id": 6,
                    "number": "89991234574",
                    "type_id": 2,
                    "created_at": "2025-04-07T19:37:24.000000Z",
                    "updated_at": "2025-04-07T19:42:50.000000Z"
                }
            ]
        }
    ],
    "total": 1
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: show

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ ΠΊΠΎΠ½ΠΊΡ€Π΅Ρ‚Π½ΠΎΠ³ΠΎ ΠΊΠ»ΠΈΠ΅Π½Ρ‚Π°

Method: GET

http://api-tara.local/api/clients/6

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "id": 6,
    "name": "Иван Иванов 22",
    "price_type_id": 2,
    "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 101",
    "created_at": "2025-04-07T19:37:24.000000Z",
    "updated_at": "2025-04-07T19:42:50.000000Z",
    "phone_numbers": [
        {
            "id": 7,
            "client_id": 6,
            "number": "89991234573",
            "type_id": 1,
            "created_at": "2025-04-07T19:37:24.000000Z",
            "updated_at": "2025-04-07T19:42:50.000000Z"
        },
        {
            "id": 8,
            "client_id": 6,
            "number": "89991234574",
            "type_id": 2,
            "created_at": "2025-04-07T19:37:24.000000Z",
            "updated_at": "2025-04-07T19:42:50.000000Z"
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: store

Π‘ΠΎΠ·Π΄Π°Ρ‚ΡŒ ΠΊΠ»ΠΈΠ΅Π½Ρ‚ΠΎΠ²

Method: POST

http://api-tara.local/api/clients

Headers

Content-Type Value
Accept application/json

Body (raw)

[
    {
        "name": "Иван Иванов 1",
        "price_type_id": 1,
        "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 10",
        "phone_numbers": [
            {
                "number": "89993333337",
                "type_id": 1
            },
            {
                "number": "89993333357",
                "type_id": 2
            }
        ]
    }
]

Response: 201

{
    "success": true,
    "data": [
        {
            "id": 7,
            "name": "Иван Иванов 1",
            "price_type_id": 1,
            "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 10",
            "created_at": "2025-04-08T18:43:51.000000Z",
            "updated_at": "2025-04-08T18:43:51.000000Z",
            "phone_numbers": [
                {
                    "id": 9,
                    "client_id": 7,
                    "number": "89993333337",
                    "type_id": 1,
                    "created_at": "2025-04-08T18:43:51.000000Z",
                    "updated_at": "2025-04-08T18:43:51.000000Z"
                },
                {
                    "id": 10,
                    "client_id": 7,
                    "number": "89993333357",
                    "type_id": 2,
                    "created_at": "2025-04-08T18:43:51.000000Z",
                    "updated_at": "2025-04-08T18:43:51.000000Z"
                }
            ]
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: update

ΠžΠ±Π½ΠΎΠ²ΠΈΡ‚ΡŒ Π΄Π°Π½Π½Ρ‹Π΅ ΠΏΠΎ ΠΊΠ»ΠΈΠ΅Π½Ρ‚Ρƒ

Method: PUT

http://api-tara.local/api/clients/7

Headers

Content-Type Value
Accept application/json

Body (raw)

{
    "name": "Иван Иванов 22",
    "price_type_id": 2,
    "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 101",
    "phone_numbers": [
        {
            "id": 9,
            "number": "89991234573",
            "type_id": 1
        },
         {
            "id": 10,
            "number": "89991234574",
            "type_id": 2
        }
    ]
}

Response: 200

{
    "id": 6,
    "name": "Иван Иванов 22",
    "price_type_id": 2,
    "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 101",
    "created_at": "2025-04-07T19:37:24.000000Z",
    "updated_at": "2025-04-07T19:42:50.000000Z",
    "phone_numbers": [
        {
            "id": 7,
            "client_id": 6,
            "number": "89991234573",
            "type_id": 1,
            "created_at": "2025-04-07T19:37:24.000000Z",
            "updated_at": "2025-04-07T19:42:50.000000Z"
        },
        {
            "id": 8,
            "client_id": 6,
            "number": "89991234574",
            "type_id": 2,
            "created_at": "2025-04-07T19:37:24.000000Z",
            "updated_at": "2025-04-07T19:42:50.000000Z"
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: destroy

Π£Π΄Π°Π»ΠΈΡ‚ΡŒ ΠΊΠ»ΠΈΠ΅Π½Ρ‚Π°

Method: DELETE

http://api-tara.local/api/clients/6

Headers

Content-Type Value
Accept application/json

Query Params

Param value

Response: 204

null

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

πŸ“ Collection: phone-number-types

ΠœΠ΅Ρ‚ΠΎΠ΄ для Ρ€Π°Π±ΠΎΡ‚Ρ‹ с Ρ‚ΠΈΠΏΠ°ΠΌΠΈ Ρ‚Π΅Π»Π΅Ρ„ΠΎΠ½ΠΎΠ²

End-point: index

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ Ρ‚ΠΈΠΏΡ‹ Ρ‚Π΅Π»Π΅Ρ„ΠΎΠ½ΠΎΠ²

Method: GET

http://api-tara.local/api/phone-number-types

Headers

Content-Type Value
Accept application/json

Query Params

Param value
orderBy name
ascending 0
select[] id
select[] name
limit 5
page 1
query Π₯озяин8

Response: 200

{
    "data": [
        {
            "id": 1,
            "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€",
            "created_at": null,
            "updated_at": null
        },
        {
            "id": 2,
            "name": "Π₯озяин",
            "created_at": null,
            "updated_at": null
        },
        {
            "id": 3,
            "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€2",
            "created_at": "2025-04-02T13:39:46.000000Z",
            "updated_at": "2025-04-02T13:39:46.000000Z"
        },
        {
            "id": 4,
            "name": "Π₯озяин2",
            "created_at": "2025-04-02T13:39:46.000000Z",
            "updated_at": "2025-04-02T13:39:46.000000Z"
        }
    ],
    "total": 4
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: show

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ ΠΊΠΎΠ½ΠΊΡ€Π΅Ρ‚Π½Ρ‹ΠΉ Ρ‚ΠΈΠΏ Ρ‚Π΅Π»Π΅Ρ„ΠΎΠ½Π°

Method: GET

http://api-tara.local/api/phone-number-types/1

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "id": 1,
    "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€",
    "created_at": null,
    "updated_at": null
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: store

Π”ΠΎΠ±Π°Π²ΠΈΡ‚ΡŒ Ρ‚ΠΈΠΏΡ‹ Ρ‚Π΅Π»Π΅Ρ„ΠΎΠ½ΠΎΠ²

Method: POST

http://api-tara.local/api/phone-number-types

Headers

Content-Type Value
Accept application/json

Body (raw)

[
    {
        "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€3"
    },
    {
        "name": "Π₯озяин3"
    }
]

Response: 201

{
    "success": true,
    "data": [
        {
            "id": 5,
            "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€3",
            "created_at": "2025-04-08T18:55:06.000000Z",
            "updated_at": "2025-04-08T18:55:06.000000Z"
        },
        {
            "id": 6,
            "name": "Π₯озяин3",
            "created_at": "2025-04-08T18:55:06.000000Z",
            "updated_at": "2025-04-08T18:55:06.000000Z"
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: update

ΠžΠ±Π½ΠΎΠ²ΠΈΡ‚ΡŒ ΠΊΠΎΠΊΡ€Π΅Ρ‚Π½Ρ‹ΠΉ Ρ‚ΠΈΠΏ Ρ‚Π΅Π»Π΅Ρ„ΠΎΠ½Π°

Method: PUT

http://api-tara.local/api/phone-number-types/3

Headers

Content-Type Value
Accept application/json

Body (raw)

{
    "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€33"
}

Response: 200

{
    "id": 3,
    "name": "ΠœΠ΅Π½Π΅Π΄ΠΆΠ΅Ρ€33",
    "created_at": "2025-04-02T13:39:46.000000Z",
    "updated_at": "2025-04-08T18:55:22.000000Z"
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: destroy

Π£Π΄Π°Π»ΠΈΡ‚ΡŒ ΠΊΠΎΠΊΡ€Π΅Ρ‚Π½Ρ‹ΠΉ Ρ‚ΠΈΠΏ Ρ‚Π΅Π»Π΅Ρ„ΠΎΠ½Π°

Method: DELETE

http://api-tara.local/api/phone-number-types/3

Headers

Content-Type Value
Accept application/json

Query Params

Param value

Response: 204

null

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

πŸ“ Collection: price-types

ΠœΠ΅Ρ‚ΠΎΠ΄ для Ρ€Π°Π±ΠΎΡ‚Ρ‹ с Ρ‚ΠΈΠΏΠ°ΠΌΠΈ Ρ†Π΅Π½

End-point: index

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ Ρ‚ΠΈΠΏΠ°ΠΌΡ‹ Ρ†Π΅Π½

Method: GET

http://api-tara.local/api/price-types

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "data": [
        {
            "id": 1,
            "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½",
            "created_at": null,
            "updated_at": null
        },
        {
            "id": 2,
            "name": "ΠžΠΏΡ‚",
            "created_at": null,
            "updated_at": null
        }
    ],
    "total": 2
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: show

ΠŸΠΎΠΊΠ°Π·Π°Ρ‚ΡŒ ΠΊΠΎΠΊΡ€Π΅Ρ‚Π½Ρ‹ΠΉ Ρ‚ΠΈΠΏ Ρ†Π΅Π½Ρ‹

Method: GET

http://api-tara.local/api/price-types/1

Headers

Content-Type Value
Accept application/json

Query Params

Param value

Response: 200

{
    "id": 1,
    "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½",
    "created_at": null,
    "updated_at": null
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: store

Π”ΠΎΠ±Π°Π²ΠΈΡ‚ΡŒ Ρ‚ΠΈΠΏΡ‹ Ρ†Π΅Π½

Method: POST

http://api-tara.local/api/price-types

Headers

Content-Type Value
Accept application/json

Body (raw)

[
    {
        "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½2"
    },
    {
        "name": "ΠžΠΏΡ‚2"
    }
]

Response: 201

{
    "success": true,
    "data": [
        {
            "id": 3,
            "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½2",
            "created_at": "2025-04-08T18:56:47.000000Z",
            "updated_at": "2025-04-08T18:56:47.000000Z"
        },
        {
            "id": 4,
            "name": "ΠžΠΏΡ‚2",
            "created_at": "2025-04-08T18:56:47.000000Z",
            "updated_at": "2025-04-08T18:56:47.000000Z"
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: update

ΠžΠ±Π½ΠΎΠ²ΠΈΡ‚ΡŒ ΠΊΠΎΠΊΡ€Π΅Ρ‚Π½Ρ‹ΠΉ Ρ‚ΠΈΠΏ Ρ†Π΅Π½Ρ‹

Method: PUT

http://api-tara.local/api/price-types/2

Headers

Content-Type Value
Accept application/json

Body (raw)

{
    "name": "ΠžΠΏΡ‚3"
}

Response: 200

{
    "id": 2,
    "name": "ΠžΠΏΡ‚3",
    "created_at": null,
    "updated_at": "2025-04-08T18:57:08.000000Z"
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: destroy

Π£Π΄Π°Π»ΠΈΡ‚ΡŒ Ρ‚ΠΈΠΏ Ρ†Π΅Π½Ρ‹

Method: DELETE

http://api-tara.local/api/price-types/3

Headers

Content-Type Value
Accept application/json

Response: 204

null

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

πŸ“ Collection: categories

ΠœΠ΅Ρ‚ΠΎΠ΄ для Ρ€Π°Π±ΠΎΡ‚Ρ‹ с катСгориями Ρ‚ΠΎΠ²Π°Ρ€Π°

End-point: index

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ ΠΊΠ°Ρ‚Π΅Π³ΠΎΡ€ΠΈΠΈ

Method: GET

http://api-tara.local/api/categories

Headers

Content-Type Value
Accept application/json

Query Params

Param value

Response: 200

{
    "data": [
        {
            "id": 1,
            "name": "Π―Ρ‰ΠΈΠΊ",
            "created_at": null,
            "updated_at": null
        },
        {
            "id": 2,
            "name": "Π’Π°Π·Ρ‹",
            "created_at": null,
            "updated_at": null
        }
    ],
    "total": 2
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: show

ΠŸΠΎΠΊΠ°Π·Π°Ρ‚ΡŒ ΠΊΠ°Ρ‚Π΅Π³ΠΎΡ€ΠΈΡŽ

Method: GET

http://api-tara.local/api/categories/1

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "id": 1,
    "name": "Π―Ρ‰ΠΈΠΊ",
    "created_at": null,
    "updated_at": null
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: store

Π”ΠΎΠ±Π°Π²ΠΈΡ‚ΡŒ ΠΊΠ°Ρ‚Π΅Π³ΠΎΡ€ΠΈΠΈ

Method: POST

http://api-tara.local/api/categories

Headers

Content-Type Value
Accept application/json

Body (raw)

[
    {
        "name": "Π―Ρ‰ΠΈΠΊ2"
    },
    {
        "name": "Π’Π°Π·Ρ‹2"
    }
]

Response: 201

{
    "success": true,
    "data": [
        {
            "id": 3,
            "name": "Π―Ρ‰ΠΈΠΊ2",
            "created_at": "2025-04-08T18:58:26.000000Z",
            "updated_at": "2025-04-08T18:58:26.000000Z"
        },
        {
            "id": 4,
            "name": "Π’Π°Π·Ρ‹2",
            "created_at": "2025-04-08T18:58:26.000000Z",
            "updated_at": "2025-04-08T18:58:26.000000Z"
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: update

Π˜Π·ΠΌΠ΅Π½ΠΈΡ‚ΡŒ ΠΊΠ°Ρ‚Π΅Π³ΠΎΡ€ΠΈΡŽ

Method: PUT

http://api-tara.local/api/categories/2

Headers

Content-Type Value
Accept application/json

Body (raw)

{
    "name": "ΠžΠΏΡ‚3"
}

Response: 200

{
    "id": 2,
    "name": "ΠžΠΏΡ‚3",
    "created_at": null,
    "updated_at": "2025-04-08T18:58:50.000000Z"
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: destroy

Π£Π΄Π°Π»ΠΈΡ‚ΡŒ ΠΊΠ°Ρ‚Π΅Π³ΠΎΡ€ΠΈΡŽ

Method: DELETE

http://api-tara.local/api/categories/3

Headers

Content-Type Value
Accept application/json

Response: 204

null

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

πŸ“ Collection: products

ΠœΠ΅Ρ‚ΠΎΠ΄ для Ρ€Π°Π±ΠΎΡ‚Ρ‹ с ΠΏΡ€ΠΎΠ΄ΡƒΠΊΡ‚Π°ΠΌΠΈ

End-point: index

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ ΠΏΡ€ΠΎΠ΄ΡƒΠΊΡ‚Ρ‹

Method: GET

http://api-tara.local/api/products

Headers

Content-Type Value
Accept application/json

Query Params

Param value
select[] id

Response: 200

{
    "data": [
        {
            "id": 16,
            "name": "Π’ΠΎΠ²Π°Ρ€ 2",
            "description": "ОписаниС 2",
            "category_id": 1,
            "size": "600*400*2000",
            "material": "ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½",
            "color": "Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ",
            "photo": null,
            "created_at": "2025-04-08T19:53:09.000000Z",
            "updated_at": "2025-04-08T19:53:09.000000Z",
            "prices": [
                {
                    "id": 15,
                    "product_id": 16,
                    "price_type_id": 1,
                    "price": "100.00",
                    "currency": "RUB",
                    "created_at": "2025-04-08T19:53:09.000000Z",
                    "updated_at": "2025-04-08T19:53:09.000000Z",
                    "price_type": {
                        "id": 1,
                        "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½",
                        "created_at": null,
                        "updated_at": null
                    }
                }
            ],
            "stock": {
                "id": 4,
                "product_id": 16,
                "quantity": 500,
                "created_at": "2025-04-08T19:53:09.000000Z",
                "updated_at": "2025-04-08T19:53:09.000000Z"
            }
        }
    ],
    "total": 1
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: show

ΠŸΠΎΠΊΠ°Π·Π°Ρ‚ΡŒ ΠΏΡ€ΠΎΠ΄ΡƒΠΊΡ‚

Method: GET

http://api-tara.local/api/products/16

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "id": 16,
    "name": "Π’ΠΎΠ²Π°Ρ€ 2",
    "description": "ОписаниС 2",
    "category_id": 1,
    "size": "600*400*2000",
    "material": "ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½",
    "color": "Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ",
    "photo": null,
    "created_at": "2025-04-08T19:53:09.000000Z",
    "updated_at": "2025-04-08T19:53:09.000000Z",
    "prices": [
        {
            "id": 15,
            "product_id": 16,
            "price_type_id": 1,
            "price": "100.00",
            "currency": "RUB",
            "created_at": "2025-04-08T19:53:09.000000Z",
            "updated_at": "2025-04-08T19:53:09.000000Z",
            "price_type": {
                "id": 1,
                "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½",
                "created_at": null,
                "updated_at": null
            }
        }
    ],
    "stock": {
        "id": 4,
        "product_id": 16,
        "quantity": 500,
        "created_at": "2025-04-08T19:53:09.000000Z",
        "updated_at": "2025-04-08T19:53:09.000000Z"
    }
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: store

Π”ΠΎΠ±Π°Π²ΠΈΡ‚ΡŒ ΠΏΡ€ΠΎΠ΄ΡƒΠΊΡ‚Ρ‹

Method: POST

http://api-tara.local/api/products

Headers

Content-Type Value
Accept application/json

Body formdata

Param value Type
0[name] Π’ΠΎΠ²Π°Ρ€ 2 text
0[description] ОписаниС 2 text
0[category_id] 1 text
0[size] 6004002000 text
0[material] ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½ text
0[color] Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ text
0[photo] /home/suslovigor/Π—Π°Π³Ρ€ΡƒΠ·ΠΊΠΈ/1.jpg file
0[prices][0][price_type_id] 1 text
0[prices][0][price] 100 text
0[prices][0][currency] RUB text
0[stock][0][quantity] 500 text

Response: 201

{
    "success": true,
    "data": [
        {
            "id": 16,
            "name": "Π’ΠΎΠ²Π°Ρ€ 2",
            "description": "ОписаниС 2",
            "category_id": 1,
            "size": "600*400*2000",
            "material": "ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½",
            "color": "Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ",
            "photo": null,
            "created_at": "2025-04-08T19:53:09.000000Z",
            "updated_at": "2025-04-08T19:53:09.000000Z",
            "prices": [
                {
                    "id": 15,
                    "product_id": 16,
                    "price_type_id": 1,
                    "price": "100.00",
                    "currency": "RUB",
                    "created_at": "2025-04-08T19:53:09.000000Z",
                    "updated_at": "2025-04-08T19:53:09.000000Z",
                    "price_type": {
                        "id": 1,
                        "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½",
                        "created_at": null,
                        "updated_at": null
                    }
                }
            ],
            "stock": {
                "id": 4,
                "product_id": 16,
                "quantity": 500,
                "created_at": "2025-04-08T19:53:09.000000Z",
                "updated_at": "2025-04-08T19:53:09.000000Z"
            }
        }
    ]
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: update

ΠžΠ±Π½ΠΎΠ²ΠΈΡ‚ΡŒ ΠΏΡ€ΠΎΠ΄ΡƒΠΊΡ‚

Method: POST

http://api-tara.local/api/products/16

Headers

Content-Type Value
Accept application/json

Body formdata

Param value Type
_method PUT text
name Π’ΠΎΠ²Π°Ρ€ text
category_id 1 text
photo /home/suslovigor/Π—Π°Π³Ρ€ΡƒΠ·ΠΊΠΈ/8.jpg file
prices[0][id] 15 text
prices[0][price] 120 text
prices[0][price_type_id] 1 text
stock[0][id] 4 text
stock[0][quantity] 550 text

Response: 200

{
    "id": 16,
    "name": "Π’ΠΎΠ²Π°Ρ€",
    "description": "ОписаниС 2",
    "category_id": 1,
    "size": "600*400*2000",
    "material": "ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½",
    "color": "Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ",
    "photo": null,
    "created_at": "2025-04-08T19:53:09.000000Z",
    "updated_at": "2025-04-08T20:02:23.000000Z",
    "prices": [
        {
            "id": 15,
            "product_id": 16,
            "price_type_id": 1,
            "price": "120.00",
            "currency": "RUB",
            "created_at": "2025-04-08T19:53:09.000000Z",
            "updated_at": "2025-04-08T20:24:44.000000Z",
            "price_type": {
                "id": 1,
                "name": "ΠšΡ€Π°ΠΏΠΎΡ‚ΠΊΠΈΠ½",
                "created_at": null,
                "updated_at": null
            }
        }
    ],
    "stock": {
        "id": 4,
        "product_id": 16,
        "quantity": 550,
        "created_at": "2025-04-08T19:53:09.000000Z",
        "updated_at": "2025-04-08T20:24:44.000000Z"
    }
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: destroy

Π£Π΄Π°Π»ΠΈΡ‚ΡŒ ΠΏΡ€ΠΎΠ΄ΡƒΠΊΡ‚

Method: DELETE

http://api-tara.local/api/products/15

Headers

Content-Type Value
Accept application/json

Response: 204

null

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

πŸ“ Collection: shipments

ΠœΠ΅Ρ‚ΠΎΠ΄ для Ρ€Π°Π±ΠΎΡ‚Ρ‹ с ΠΎΡ‚Π³Ρ€ΡƒΠ·ΠΊΠ°ΠΌΠΈ

End-point: index

ΠŸΠΎΠ»ΡƒΡ‡ΠΈΡ‚ΡŒ ΠΎΡ‚Π³Ρ€ΡƒΠ·ΠΊΠΈ

Method: GET

http://api-tara.local/api/shipments

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "data": [
        {
            "id": 3,
            "client_id": 7,
            "product_id": 5,
            "price": "444.50",
            "quantity": 20,
            "total": "4444.50",
            "date": "2025-03-10",
            "created_at": null,
            "updated_at": null
        }
    ],
    "total": 1
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: show

ΠŸΠΎΠΊΠ°Π·Π°Ρ‚ΡŒ ΠΎΡ‚Π³Ρ€ΡƒΠ·ΠΊΡƒ

Method: GET

http://api-tara.local/api/shipments/4

Headers

Content-Type Value
Accept application/json

Response: 200

{
    "id": 3,
    "client_id": 7,
    "product_id": 5,
    "price": "444.50",
    "quantity": 20,
    "total": "4444.50",
    "date": "2025-03-10",
    "created_at": null,
    "updated_at": null
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: store

Π”ΠΎΠ±Π°Π²ΠΈΡ‚ΡŒ ΠΎΡ‚Π³Ρ€ΡƒΠ·ΠΊΠΈ

Method: POST

http://api-tara.local/api/shipments

Headers

Content-Type Value
Accept application/json

Body (raw)

[
    {
        "client_id": 7,
        "product_id": 16,
        "price": 444.50,
        "quantity": 500,
        "total": 4444.50,
        "date": "2025-03-10"
    }
]

Response: 201

[
    {
        "id": 3,
        "client_id": 7,
        "product_id": 5,
        "price": "444.50",
        "quantity": 20,
        "total": "4444.50",
        "date": "2025-03-10",
        "created_at": null,
        "updated_at": null,
        "client": {
            "id": 7,
            "name": "Иван Иванов 1",
            "price_type_id": 1,
            "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 10",
            "created_at": "2025-04-08T18:43:51.000000Z",
            "updated_at": "2025-04-08T18:43:51.000000Z"
        },
        "product": {
            "id": 5,
            "name": "Π’ΠΎΠ²Π°Ρ€ 2",
            "description": "ОписаниС 2",
            "category_id": 1,
            "size": "600*400*2000",
            "material": "ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½",
            "color": "Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ",
            "photo": null,
            "created_at": "2025-04-08T19:02:59.000000Z",
            "updated_at": "2025-04-08T19:02:59.000000Z"
        }
    }
]

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: update

ΠžΠ±Π½ΠΎΠ²ΠΈΡ‚ΡŒ ΠΎΡ‚Π³Ρ€ΡƒΠ·ΠΊΠΈ

Method: PUT

http://api-tara.local/api/shipments/5

Headers

Content-Type Value
Accept application/json

Body (raw)

{
    "client_id": 7,
    "product_id": 16,
    "price": 444.50,
    "quantity": 500,
    "total": 4444.50,
    "date": "2025-03-10"
}

Response: 201

{
    "id": 4,
    "client_id": 7,
    "product_id": 16,
    "price": 444.5,
    "quantity": 550,
    "total": 4444.5,
    "date": "2025-03-10",
    "created_at": null,
    "updated_at": "2025-04-08T20:29:26.000000Z",
    "client": {
        "id": 7,
        "name": "Иван Иванов 22",
        "price_type_id": 2,
        "address": "Π³. Москва, ΡƒΠ». ΠŸΡƒΡˆΠΊΠΈΠ½Π°, Π΄. 101",
        "created_at": "2025-04-08T18:43:51.000000Z",
        "updated_at": "2025-04-08T20:12:01.000000Z"
    },
    "product": {
        "id": 16,
        "name": "Π’ΠΎΠ²Π°Ρ€",
        "description": "ОписаниС 2",
        "category_id": 1,
        "size": "600*400*2000",
        "material": "ΠŸΠΎΠ»ΠΈΠΏΡ€ΠΎΠΏΠΈΠ»Π΅Π½",
        "color": "Ρ‡Ρ‘Ρ€Π½Ρ‹ΠΉ",
        "photo": null,
        "created_at": "2025-04-08T19:53:09.000000Z",
        "updated_at": "2025-04-08T20:02:23.000000Z"
    }
}

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃

End-point: destroy

Π£Π΄Π°Π»ΠΈΡ‚ΡŒ ΠΎΡ‚Π³Ρ€ΡƒΠ·ΠΊΡƒ

Method: DELETE

http://api-tara.local/api/shipments/4

Headers

Content-Type Value
Accept application/json

Response: 204

null

⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃ ⁃


Powered By: postman-to-markdown